DanID: Java-installation på Mac er nu som på Windows og Linux

19. oktober 2012 kl. 06:298
Nets DanID er parat til at rådgive NemID-brugere om, hvordan de nu selv skal downloade og installere Java, efter Apple har fjernet Java-plugin'et fra Safari.
Artiklen er ældre end 30 dage
Manglende links i teksten kan sandsynligvis findes i bunden af artiklen.

En sikkerhedsopdatering fra Apple har fjernet det Java-plugin til Safari-browseren på Mac OS X, som er nødvendigt for at benytte tjenester med NemID i Safari. Nets DanID forventer dog ikke store supportproblemer.

»Det er korrekt, at man som følge af den seneste opdatering fra Apple selv skal downloade og opdatere Java, som det også er tilfældet for brugere af Linux- og Windows. Dog er det meget enkelt, da browseren oplyser brugeren om, at der mangler et plug-in og herefter giver mulighed for at komme videre til downloadsiden med et par klik,« skriver kommunikationschef Søren Winge fra Nets DanID i et e-mailsvar til Version2.

Ved at fjerne plugin'et vil Apple formentligt forsøge at øge sikkerheden for de brugere, som i dag har det installeret, men ikke har brug for det, fordi kriminelle ofte forsøger at udnytte sikkerhedshuller i Java-plugins til browsere.

Kommer man efter installationen af sikkerhedsopdateringen ind på en side som eksempelvis Borger.dk, som kræver Java, så vil man i Safari nu skulle downloade og installere Oracles plugin. Det skal man dog kun gøre én gang.

Artiklen fortsætter efter annoncen

Derefter skal man dog løbende sørge for at opdatere Java, når Oracle udsender sikkerhedsopdateringer. Oracle frigiver normalt en opdatering tre til fire gange årligt, og de nye versioner af Java indeholder en automatisk opdateringsfunktion, som dog kræver, at brugeren siger ja tak til at installere opdateringerne.

Nets DanID vil i første omgang ikke udgive en særskilt vejledning til Mac-brugere, men vil i stedet se tiden an.

»Vores support er bekendt med den nye proces for brugere af Mac, så de kan vejlede brugerne af NemID. Vi vil løbende vurdere - som vi gør det med alle andre temaer - om det på baggrund af antallet af henvendelser vil være hensigtsmæssigt at udvide support-sektionen på vores hjemmeside med dette emne,« skriver Søren Winge til Version2.

8 kommentarer.  Hop til debatten
Denne artikel er gratis...

...men det er dyrt at lave god journalistik. Derfor beder vi dig overveje at tegne abonnement på Version2.

Digitaliseringen buldrer derudaf, og it-folkene tegner fremtidens Danmark. Derfor er det vigtigere end nogensinde med et kvalificeret bud på, hvordan it bedst kan være med til at udvikle det danske samfund og erhvervsliv.

Og der har aldrig været mere akut brug for en kritisk vagthund, der råber op, når der tages forkerte it-beslutninger.

Den rolle har Version2 indtaget siden 2006 - og det bliver vi ved med.

Debatten
Log ind eller opret en bruger for at deltage i debatten.
settingsDebatindstillinger
6
19. oktober 2012 kl. 14:46

Så mangler vi bare en Chrome 64 bit til Mac:

"Chrome does not support Java 7 on the Mac platform. A 64-bit browser (Safari or Firefox, for example) is required to run Java 7 on Mac OS X. 32-bit browsers such as Chrome do not support Java 7 on the Mac platform."

http://www.java.com/en/download/faq/chrome.xml

3
19. oktober 2012 kl. 10:20

Netbanken fra Danske Netbank kører fint NemID uden Java. Det er kun det offentlige der ikke kan finde ud af at udskifte Java med en HTML 1.0 form.

5
19. oktober 2012 kl. 12:48

Mig bekendt kan man ikke køre NemID uden java. At nogle netbanker (især de mobile) så tillader alternativt login er en anden sag.

2
19. oktober 2012 kl. 07:35

Oracle har kun Java til Lion og nyere... I mine øjne kan en Snow Leopard ikke kaldes for forældet så det er lidt mærkligt.

4
19. oktober 2012 kl. 11:54

Jo snow leopard kan kaldes forældet, funktionelt og bestemt ikke dårligt. Men fra et sikkerhedssynspunkt med de store forbedringer Apple med gatekeeper og andre tiltag, samt manglen af java 7 fra Oracle må man faktisk kalde snow leopard (10.6) forældet. Den eneste årsag til ikke at opdatere der kan forsvares er hvis ens hardware ikke er kompatibelt med mountain Lion (10.8) dvs. er tusse gammelt, ellers er det de bedste håndøre der nogensinde er givet ud for et OS.

1
19. oktober 2012 kl. 07:33

Nu hvor I er igang med rådgivningen. I en tid hvor hr. og fru Danmark pt. har travlt med at skifte PC'en ud med en iPad eller i nær fremtid en Windows RT tablet - hvordan mener I så at alle disse mennesker fremover skal tilgå deres netbank og offentlige services via NemID?

7
20. oktober 2012 kl. 14:21

Nu hvor I er igang med rådgivningen. I en tid hvor hr. og fru Danmark pt. har travlt med at skifte PC'en ud med en iPad eller i nær fremtid en Windows RT tablet - hvordan mener I så at alle disse mennesker fremover skal tilgå deres netbank og offentlige services via NemID?

Det stod vel ikke i kontrakten at NemID skulle virke på tablets. De er jo først nu ved at komme i gang med at leve op til kravet om at man skal kunne få sin nøgle på hardware /Jakob